Package org.jboss.resteasy.spi.interception

## Interface JaxrsInterceptorRegistry<T>

- All Known Implementing Classes:
    `ClientRequestFilterRegistryImpl`, `ClientResponseFilterRegistryImpl`, `ContainerRequestFilterRegistryImpl`, `ContainerResponseFilterRegistryImpl`, `JaxrsInterceptorRegistryImpl`, `ReaderInterceptorRegistryImpl`, `WriterInterceptorRegistryImpl`

      public interface JaxrsInterceptorRegistry<T>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `JaxrsInterceptorRegistry.AscendingPrecedenceComparator` |
    `static class` | `JaxrsInterceptorRegistry.DescendingPrecedenceComparator` |
    `static interface` | `JaxrsInterceptorRegistry.InterceptorFactory` |
    `static class` | `JaxrsInterceptorRegistry.Match` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JaxrsInterceptorRegistry<T>` | `clone​(ResteasyProviderFactory factory)` |
    `Class<T>` | `getIntf()` |
    `List<JaxrsInterceptorRegistryListener>` | `getListeners()` |
    `T[]` | `postMatch​(Class declaring, AccessibleObject target)` |
    `T[]` | `preMatch()` |
    `void` | `register​(JaxrsInterceptorRegistry.InterceptorFactory factory)` |
    `void` | `registerClass​(Class<? extends T> declaring)` |
    `void` | `registerClass​(Class<? extends T> declaring, int priority)` |
    `void` | `registerSingleton​(T interceptor)` |
    `void` | `registerSingleton​(T interceptor, int priority)` |

- - ### Method Detail

    - #### clone

          JaxrsInterceptorRegistry<T> clone​(ResteasyProviderFactory factory)

    - #### getIntf

          Class<T> getIntf()

    - #### getListeners

          List<JaxrsInterceptorRegistryListener> getListeners()

    - #### preMatch

          T[] preMatch()

    - #### postMatch

          T[] postMatch​(Class declaring,
                        AccessibleObject target)

    - #### register

          void register​(JaxrsInterceptorRegistry.InterceptorFactory factory)

    - #### registerClass

          void registerClass​(Class<? extends T> declaring)

    - #### registerClass

          void registerClass​(Class<? extends T> declaring,
                             int priority)

    - #### registerSingleton

          void registerSingleton​(T interceptor)

    - #### registerSingleton

          void registerSingleton​(T interceptor,
                                 int priority)